Component({
  options: {
    multipleSlots: true // 在组件定义时的选项中启用多slot支持
  },
  /**
   * 组件的属性列表
   * 用于组件自定义设置
   */
  properties: {
    // 弹窗标题
    // showHongbao: {            // 属性名
    //   type: Boolean,     // 类型（必填），目前接受的类型包括：String, Number, Boolean, Object, Array, null（表示任意类型）
    //   value: false     // 属性初始值（可选），如果未指定则会根据类型选择一个
    // },
		url: {
			type: String,
		},
  },

  /**
   * 私有数据,组件的初始数据
   * 可用于模版渲染
   */
  data: {
    // 弹窗显示控制
    showHongbao:false,
	showHongbaoSmall: false,
     imghost:getApp().globalData.setting.imghost
  },

  /**
   * 组件的方法列表
   * 更新属性和数据的方法与更新页面数据的方法类似
   */
  methods: {
    /*
     * 公有方法
     */

    // 关闭首页抢红包主弹窗，显示侧边栏抢红包小图标
    closeHongbao() {
    	this.setData({
    		showHongbao: false, //关闭抢红包主弹窗
    		showHongbaoSmall: true, //显示抢红包小图标
    	});
    },
		
     /*
     * 内部私有方法建议以下划线开头
     * triggerEvent 用于触发事件
     */
    _showHongbao(){
      //触发取消回调
      this.triggerEvent("showHongbao")
    },
    _closeHongbao(){
      //触发成功回调
      this.triggerEvent("closeHongbao");
    }
  }
})